# Uses of Interface
org.opensaml.saml.saml2.core.IDPList

Packages that use IDPList
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.ecp
Interfaces for SAML 2 ECP Elements.
org.opensaml.saml.saml2.ecp.impl
Implementations of SAML 2.0 ECP types and elements.

## Uses of IDPList in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return IDPList
Modifier and Type
Method
Description
`IDPList`
Scoping.`getIDPList()`
Gets the IDPList.
Methods in org.opensaml.saml.saml2.core with parameters of type IDPList
Modifier and Type
Method
Description
`void`
Scoping.`setIDPList(IDPList newIDPList)`
Sets the IDPList.

## Uses of IDPList in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement IDPList
Modifier and Type
Class
Description
`class`
`IDPListImpl`
Concrete implementation of `IDPList`.
Fields in org.opensaml.saml.saml2.core.impl declared as IDPList
Modifier and Type
Field
Description
`private IDPList`
ScopingImpl.`idpList`
IDPList child element.
Methods in org.opensaml.saml.saml2.core.impl that return IDPList
Modifier and Type
Method
Description
`IDPList`
IDPListBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`IDPList`
IDPListBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`IDPList`
ScopingImpl.`getIDPList()`
Gets the IDPList.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type IDPList
Modifier and Type
Method
Description
`void`
ScopingImpl.`setIDPList(IDPList newIDPList)`
Sets the IDPList.

## Uses of IDPList in org.opensaml.saml.saml2.ecp

Methods in org.opensaml.saml.saml2.ecp that return IDPList
Modifier and Type
Method
Description
`IDPList`
Request.`getIDPList()`
Get the IDPList child element.
Methods in org.opensaml.saml.saml2.ecp with parameters of type IDPList
Modifier and Type
Method
Description
`void`
Request.`setIDPList(IDPList newIDPList)`
Set the IDPList child element.

## Uses of IDPList in org.opensaml.saml.saml2.ecp.impl

Fields in org.opensaml.saml.saml2.ecp.impl declared as IDPList
Modifier and Type
Field
Description
`private IDPList`
RequestImpl.`idpList`
IDPList child element.
Methods in org.opensaml.saml.saml2.ecp.impl that return IDPList
Modifier and Type
Method
Description
`IDPList`
RequestImpl.`getIDPList()`
Get the IDPList child element.
Methods in org.opensaml.saml.saml2.ecp.impl with parameters of type IDPList
Modifier and Type
Method
Description
`void`
RequestImpl.`setIDPList(IDPList newIDPList)`
Set the IDPList child element.